Subject: Re: tcp bw in 2.6

From: Rick Jones <[email-masked]>
Date: Tue, 02 Oct 2007 12:53:02 -0700

> I also would have expected more ACK's from the HP box. It's been a long 
> time since I did TCP, but I thought the rule was still that you were 
> supposed to ACK at least every other full frame - but the HP box is acking 
> roughly every 16K (and it's *not* always at TSO boundaries: the earlier 
> ACK's in the sequence are at 1460-byte packet boundaries, but it does seem 
> to end up getting into that pattern later on).

Drift...

The RFC's say "SHOULD" (emphasis theirs) rather than "MUST."

Both HP-UX and Solaris have rather robust ACK avoidance heuristics to cut-down 
on the CPU overhead of bulk transfers.  (That they both have them stems from 
their being cousins, sharing a common TCP stack ancestor long ago - both of 
course have been diverging since then).

rick jones